Bug 1126030 - Missing: Install and Configure Apache HTTP Server in Red Hat Enterprise Linux 7
Summary: Missing: Install and Configure Apache HTTP Server in Red Hat Enterprise Linux 7
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation
Version: 6.3.0
Hardware: Unspecified
OS: Linux
high
urgent
Target Milestone: GA
: EAP 6.3.0
Assignee: Tom WELLS
QA Contact: Michal Karm Babacek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 16:09 UTC by Michal Karm Babacek
Modified: 2015-05-18 01:29 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Build Name: 22508, Administration and Configuration Guide-6.3-1 Build Date: 25-07-2014 15:09:11 Topic ID: 24405-681032 [Specified]
Last Closed: 2014-08-06 14:38:53 UTC
Type: Bug


Attachments (Terms of Use)

Description Michal Karm Babacek 2014-08-01 16:09:28 UTC
Procedure 19.3. Install and Configure Apache HTTP Server in Red Hat Enterprise Linux 5 and 6 (RPM)

Title: Install Apache HTTP Server in Red Hat Enterprise Linux (RHEL) 5 and 6 (RPM)

Describe the issue:

Dear doc guys, after the RHEL7 RPM tests with EAP 6.3, we are now able to present you with notes about Apache HTTP Server RPM installation and control on the RHEL7 platform.

I'll provide a list of plain notes that I hope you might want to cast to the proper documentation shape:


1) Apache HTTP Server 2.4.x from RHEL7 system distribution is not supported with EAP 6, i.e. customer can't use

{code}
yum install httpd
{code}
This is wrong on RHEL7 because it would install the Apache HTTP Server 2.4.x from RHEL7 distribution.

instead, customer must explicitly use Apache HTTP Server from the jbappplatform-6 distribution. This package is called httpd22.

{code}
yum install httpd22
{code}
This is right on RHEL7.



2) All paths relevant to Apache HTTP Server from our EAP 6 distribution on RHEL7 contain "httpd22" instead of "httpd", i.e.: /etc/httpd22 instead of /etc/httpd, /var/log/httpd22 instead of /var/log/httpd.


2) Apache HTTP Server (httpd22) on RHEL7 is controlled via systemctl, i.e.:

2.1) One can find systemd service configuration in /usr/lib/systemd/system/httpd22.service

2.1) How to start and stop the Apache HTTP Server (httpd22)

{code}
systemctl start  httpd22.service
{code}

One can look at the status of the service with:

{code}
systemctl status  httpd22.service
{code}

To stop the service:

{code}
systemctl stop  httpd22.service
{code}


2.2 How to make the Apache HTTP Server (httpd22) start on boot

With this command:
{code}
systemctl enable httpd22.service
{code}
one sets the httpd22 service to start on boot.
The following command switches it back to the default, i.e. service won't start on boot:
{code}
systemctl disable httpd22.service
{code}



3) Please, replace all occurrences of Apache HTTP Server 2.2.22 with  Apache HTTP Server 2.2.26,
i.e. the version we deliver with EAP 6.3.0.GA is actually 2.2.26, not 2.2.22.


Note: The text inside {code} tags is actually meant to be copy-pasted for the command prompt.


Ping me if you have any questions.

Please, if you feel like needing a RHEL7 box to poke around and try stuff out for yourself, I can help you as well.


Cheers
-K-

Comment 3 Michal Karm Babacek 2014-08-05 09:10:43 UTC
Looks great. Thank you very much for this last minute effort.

K.


Note You need to log in before you can comment on or make changes to this bug.